Page MenuHomePhabricator

Project names sometimes need to be cleaned up before using them
Closed, ResolvedPublic1 Story Points

Description

Since the project name comes from a template parameter, it can basically be anything. On English Wikipedia it is common to add bold formatting or to prefix subproject names with "the" so that it reads better in the template output. See discussion at https://en.wikipedia.org/wiki/Template_talk:WPBannerMeta#Subprojects. We should clean the title to account for these practices.

Event Timeline

kaldari created this task.Feb 15 2017, 9:25 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 15 2017, 9:25 PM
kaldari triaged this task as Normal priority.Feb 15 2017, 9:26 PM
kaldari claimed this task.
kaldari set the point value for this task to 1.
kaldari moved this task from Ready to In Development on the Community-Tech-Sprint board.

Change 337963 had a related patch set uploaded (by Kaldari):
Clean project titles before using

https://gerrit.wikimedia.org/r/337963

Change 337963 merged by jenkins-bot:
Clean project titles before using

https://gerrit.wikimedia.org/r/337963

kaldari closed this task as Resolved.Feb 22 2017, 2:15 AM
kaldari moved this task from In Development to Q1 2018-19 on the Community-Tech-Sprint board.
DannyH moved this task from Untriaged to Archive on the Community-Tech board.Mar 2 2017, 6:31 PM